Skip to main content
POST
/
api
/
config
/
pii
/
tracing-allow-list
Enable logging of prompts and responses
curl --request POST \
  --url https://app.traceloop.com/api/config/pii/tracing-allow-list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "associationPropertyAllowList": {}
}
'
import requests

url = "https://app.traceloop.com/api/config/pii/tracing-allow-list"

payload = { "associationPropertyAllowList": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({associationPropertyAllowList: {}})
};

fetch('https://app.traceloop.com/api/config/pii/tracing-allow-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


By default, all prompts and responses are logged. If you want to disable this behavior by following this guide, you can selectively enable it for some of your users with this API.

Request Body

associationPropertyAllowList
Associated Property Object
The list of association properties (like {userId: "123"}) that will be allowed to be logged.
Example:
{
  "associationPropertyAllowList": [
    {
      "userId": "123"
    }
  ]
}